<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ParamDictionary Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#411fa9cc6ca47ea388307fdd7841f547">addParameter</a>(const ParameterDef &amp;paramDef, ParamCommand *paramCmd)</td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#6b324fb02bdd70f7fdd6566fb634e1dc">getParamCommand</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#10d47cfb52e9a32917e5a0965a7b7bb8">getParamCommand</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#b0f6c3fd225dc9d3a8a2c4ff6ef6ffda">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#374491774db59af87966f14795737996">mParamCommands</a></td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#37e4ea1d0c014e743b815b6a829f5a75">mParamDefs</a></td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#f3f46fdeacdb40c4dc234cd3540cd701">ParamDictionary</a>()</td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParamDictionary.html#f1037345f6c7a90f967a44cb1eb6dadc">StringInterface</a> class</td><td><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td><td><code> [friend]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:17 2008
</p>
</body>
</html>
